services:
  eca_parameters.subscriber:
    class: Drupal\eca_parameters\EventSubscriber\EcaParameters
    parent: eca.default_event_subscriber
    calls:
      - ['setEventDispatcher', ['@event_dispatcher']]
      - ['setEntityTypeManager', ['@entity_type.manager']]
    tags:
      - { name: event_subscriber }
